# Get ephemeral TTL status for a workspace

Returns whether ephemeral TTL is enabled and related metadata.

Endpoint: GET /iacm/api/orgs/{org}/projects/{project}/workspaces/{workspace}/ephemeral-config
Version: 1.0
Security: x-api-key

## Query parameters:

  - `provisioner` (string)
    Provisioner key (defaults to opentofu when omitted)
    Example: "Maiores quo ut iusto porro tempore."

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "642"

  - `project` (string, required)
    Project is the project identifier.
    Example: "gx"

  - `workspace` (string, required)
    Workspace identifier
    Example: "Consequatur labore a tempora a."

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "ik5"

## Response 200 fields (application/json):

  - `delete_at` (string)
    Scheduled deletion timestamp (ISO 8601)
    Example: "Tempore inventore consequatur."

  - `delete_delay_unit` (string)
    Configured delete delay unit (hours or days)
    Enum: "seconds", "minutes", "hours", "days"

  - `delete_delay_value` (integer)
    Configured delete delay value (when delete_workspace is true)
    Example: 5939900050141006000

  - `delete_on_date` (string)
    Configured delete date (YYYY-MM-DD) when schedule uses a specific date
    Example: "Deleniti et accusamus soluta."

  - `delete_workspace` (boolean)
    Whether workspace will be deleted after destroy
    Example: true

  - `destroy_at` (string)
    Scheduled destruction timestamp (ISO 8601)
    Example: "Delectus sed dicta."

  - `destroy_on_date` (string)
    Configured destroy date (YYYY-MM-DD) when schedule uses a specific date
    Example: "Dolor eius quia."

  - `enabled` (boolean, required)
    Example: true

  - `pipeline_id` (string)
    Example: "Voluptas aliquid."

  - `provisioner` (string)
    Provisioner this configuration applies to
    Example: "Fugit eum sint dolor magni quia."

  - `source` (string)
    Origin of the configuration: 'workspace', 'project', or 'disabled'
    Enum: "workspace", "project", "disabled"

  - `trigger_id` (string)
    Harness trigger ID for the destroy schedule
    Example: "Autem quidem veniam."

  - `ttl_unit` (string)
    Configured destroy delay unit (hours or days)
    Enum: "seconds", "minutes", "hours", "days"

  - `ttl_value` (integer)
    Configured destroy delay value (when schedule uses delay)
    Example: 5918058973874556000

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?


